Bug 1793177 (CVE-2019-19948) - CVE-2019-19948 ImageMagick: heap-based buffer overflow in WriteSGIImage in coders/sgi.c
Summary: CVE-2019-19948 ImageMagick: heap-based buffer overflow in WriteSGIImage in co...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-19948
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1793178 1793179 1798905
Blocks: 1793180
TreeView+ depends on / blocked
 
Reported: 2020-01-20 20:56 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-03-31 22:35 UTC (History)
4 users (show)

Fixed In Version: ImageMagick 7.0.8-43, ImageMagick 6.9.10-43
Doc Type: If docs needed, set a value
Doc Text:
A heap-based buffer overflow flaw was discovered in ImageMagick when writing SGI images with improper columns and rows properties. An attacker may trick a victim user into downloading a malicious image file and running it through ImageMagick, possibly executing code onto the victim user's system.
Clone Of:
Environment:
Last Closed: 2020-03-31 22:35:59 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1180 0 None None None 2020-03-31 19:33:11 UTC

Description Guilherme de Almeida Suckevicz 2020-01-20 20:56:58 UTC
In ImageMagick 7.0.8-43 Q16, there is a heap-based buffer overflow in the function WriteSGIImage of coders/sgi.c.

Reference:
https://github.com/ImageMagick/ImageMagick/issues/1562

Comment 1 Guilherme de Almeida Suckevicz 2020-01-20 20:57:15 UTC
Created ImageMagick tracking bugs for this issue:

Affects: epel-8 [bug 1793178]
Affects: fedora-all [bug 1793179]

Comment 6 errata-xmlrpc 2020-03-31 19:33:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1180 https://access.redhat.com/errata/RHSA-2020:1180

Comment 7 Product Security DevOps Team 2020-03-31 22:35:59 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-19948


Note You need to log in before you can comment on or make changes to this bug.